Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649170 - www-client/otter - Add USE=webengine
Summary: www-client/otter - Add USE=webengine
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 11:51 UTC by Kimiaki Kuno
Modified: 2018-03-15 09:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Example of adding new USE flag (add_webengine.patch,628 bytes, patch)
2018-03-01 11:51 UTC, Kimiaki Kuno
Details | Diff
take 2(selectable from webkit or webengine) (take-2.otter-0.9.94.ebuild.diff,1.04 KB, patch)
2018-03-02 08:40 UTC, Kimiaki Kuno
Details | Diff
When only use qtwebengine, change default value from qtwebkit to qtwebengine (change-default-web-backends.patch,1.18 KB, patch)
2018-03-02 08:42 UTC, Kimiaki Kuno
Details | Diff
build.log (0.9.96) (build.log,4.82 KB, text/plain)
2018-03-02 11:41 UTC, Kimiaki Kuno
Details
otter-0.9.96(depend fixed) (otter-0.9.96.ebuild,1.88 KB, text/plain)
2018-03-02 11:46 UTC, Kimiaki Kuno
Details
simplescreenrecorder-2018-03-07_12.10.34.gif (simplescreenrecorder-2018-03-07_12.10.34.gif,824.94 KB, image/gif)
2018-03-15 09:50 UTC, Kimiaki Kuno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kimiaki Kuno 2018-03-01 11:51:06 UTC
Created attachment 521544 [details, diff]
Example of adding new USE flag

Otter is supporting QtWebEngine as experimental feature.

I tested this feature in my local environment, with my custom ebuild:
https://github.com/knokmki612/gentoo-overlay/blob/master/www-client/otter/otter-0.9.91-r2.ebuild

And it works ;)

could you consider to add new USE flag "webengine"?
Comment 1 Jeroen Roovers gentoo-dev 2018-03-01 12:40:31 UTC
Comment on attachment 521544 [details, diff]
Example of adding new USE flag

>@@ -11,7 +11,7 @@
> LICENSE="GPL-3"
> SLOT="0"
> KEYWORDS="~amd64 ~ppc64 ~x86"
>-IUSE="spell"
>+IUSE="webengine spell"
>
> DEPEND="
> 	dev-qt/qtconcurrent:5
>@@ -28,6 +28,7 @@
> 	dev-qt/qtwebkit:5
> 	dev-qt/qtwidgets:5
> 	dev-qt/qtxmlpatterns:5
>+	webengine? ( dev-qt/qtwebengine:5[widgets] )
> 	spell? ( kde-frameworks/sonnet )

That's not enough. We need to explicitly disable qtwebkit and enable qtwebengine or it will pick the most likely candidate automagically.
Comment 2 Jeroen Roovers gentoo-dev 2018-03-02 07:25:31 UTC
This is currently held up by bug #649264.
Comment 3 Kimiaki Kuno 2018-03-02 08:40:14 UTC
Created attachment 521816 [details, diff]
take 2(selectable from webkit or webengine)
Comment 4 Kimiaki Kuno 2018-03-02 08:42:55 UTC
Created attachment 521818 [details, diff]
When only use qtwebengine, change default value from qtwebkit to qtwebengine
Comment 5 Kimiaki Kuno 2018-03-02 08:45:35 UTC
Hi Jeroen, thanks for your reply!

I tried to improve my ebuild upon receiving your remarks
I hope it will help your works!
Comment 6 Kimiaki Kuno 2018-03-02 08:50:41 UTC
otter-0.9.95 is currently specifies >=qtwebengine-5.9.0,
so I did fallback my work to otter-0.9.94(it was still >=qtwebengine-5.6.0)
Comment 7 Jeroen Roovers gentoo-dev 2018-03-02 10:02:49 UTC
Please try with 0.9.96.
Comment 8 Kimiaki Kuno 2018-03-02 11:41:26 UTC
Created attachment 521832 [details]
build.log (0.9.96)

I still use =qtwebengine-5.7.1-r2, so I got error
(cannot found Qt5WebEngineWidgets 5.9.0) as in build.log.
I think it will same as =otter-0.9.95
Comment 9 Kimiaki Kuno 2018-03-02 11:46:19 UTC
Created attachment 521834 [details]
otter-0.9.96(depend fixed)

Jeroen, could you try this if you can test with qtwebengine-5.9.4?
Comment 10 Kimiaki Kuno 2018-03-02 11:53:56 UTC
I pushed these files to my overlay
https://github.com/knokmki612/gentoo-overlay/tree/master/www-client/otter
Comment 11 Jeroen Roovers gentoo-dev 2018-03-02 12:10:57 UTC
(In reply to Kimiaki Kuno from comment #8)
> Created attachment 521832 [details]
> build.log(when I do emerge =otter-0.9.96)
> 
> I still use =qtwebengine-5.7.1-r2, so I got error
> (cannot found Qt5WebEngineWidgets 5.9.0) as in build.log.

But how can that be? I set that build dependency already:

    webengine? ( >=dev-qt/qtwebengine-5.9:5[widgets] )
Comment 12 Jeroen Roovers gentoo-dev 2018-03-02 12:12:44 UTC
(In reply to Kimiaki Kuno from comment #9)

> Jeroen, could you try this if you can test with qtwebengine-5.9.4?

No, like I said before:

(In reply to Jeroen Roovers from comment #2)
> This is currently held up by bug #649264.

I am still building qt*-5.9* with a workaround mentioned via that bug.
Comment 13 Jeroen Roovers gentoo-dev 2018-03-02 12:13:50 UTC
Comment on attachment 521832 [details]
build.log (0.9.96)

 * Qt5WebEngineWidgets (required version >= 5.9.0), QtWebEngine based backend (widgets), <https://www.qt.io/>

This is already set in the 0.9.96 ebuild.
Comment 14 Kimiaki Kuno 2018-03-02 12:25:18 UTC
(In reply to Jeroen Roovers from comment #12)
> I am still building qt*-5.9* with a workaround mentioned via that bug.

I understand, thanks
Comment 15 Jeroen Roovers gentoo-dev 2018-03-02 12:57:41 UTC
Comment on attachment 521818 [details, diff]
When only use qtwebengine, change default value from qtwebkit to qtwebengine

This suggests they are not mutually exclusive. I.e. we should have both IUSE="webengine webkit"?
Comment 16 Kimiaki Kuno 2018-03-02 13:14:47 UTC
(In reply to Jeroen Roovers from comment #15)
> This suggests they are not mutually exclusive. I.e. we should have both
> IUSE="webengine webkit"?

Because Otter can switch qtwebkit and qtwebengine each others by setting at "about:config" after install.
Comment 17 Jeroen Roovers gentoo-dev 2018-03-02 18:44:58 UTC
(In reply to Kimiaki Kuno from comment #16)
> (In reply to Jeroen Roovers from comment #15)
> > This suggests they are not mutually exclusive. I.e. we should have both
> > IUSE="webengine webkit"?
> 
> Because Otter can switch qtwebkit and qtwebengine each others by setting at
> "about:config" after install.

What I mean is, I previously committed an ebuild that made both backends mutually exclusive.

I am now testing an ebuild that requires at least one backend. When that turns out to work, I will commit the changes.
Comment 18 Kimiaki Kuno 2018-03-02 22:57:06 UTC
(In reply to Jeroen Roovers from comment #17)
> What I mean is, I previously committed an ebuild that made both backends
> mutually exclusive.
> 
> I am now testing an ebuild that requires at least one backend. When that
> turns out to work, I will commit the changes.

nice, thank you for your quick response
Comment 19 Jeroen Roovers gentoo-dev 2018-03-05 07:42:37 UTC
Could you check again, please?

commit 88c074ca3e58d416a23de2a6f9ef7e0dec357482
Author: Jeroen Roovers <jer@gentoo.org>
Date:   Sat Mar 3 04:56:45 2018 +0100

    www-client/otter: Allow for both qtwebkit and qtwebengine to be enabled (bug #649170).

    Package-Manager: Portage-2.3.24, Repoman-2.3.6
Comment 20 Kimiaki Kuno 2018-03-15 09:50:43 UTC
Created attachment 523992 [details]
simplescreenrecorder-2018-03-07_12.10.34.gif

I checked www-client/otter-0.9.96 with dev-qt/*:5/5.9.

Package installation(emerge) works fine. but in specificall flags(-webkit +webengine), wrongly value of config setted by default. this is why I wrote the patch.

See this gif animation.